summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNP-Hardass <NP-Hardass@gentoo.org>2016-12-30 17:40:38 -0500
committerNP-Hardass <NP-Hardass@gentoo.org>2016-12-30 17:42:35 -0500
commit493600f430ad8bdeb9b421b3ee4a3a18b556c552 (patch)
tree43cf9cc00162d872de5a2ad86fa02581925f2272 /app-emulation/wine
parentmedia-libs/atlas-c++: remove unused patches. (diff)
downloadgentoo-493600f430ad8bdeb9b421b3ee4a3a18b556c552.tar.gz
gentoo-493600f430ad8bdeb9b421b3ee4a3a18b556c552.tar.bz2
gentoo-493600f430ad8bdeb9b421b3ee4a3a18b556c552.zip
app-emulation/wine: update to use multilib_foreach_abi in src_install
Uses multilib_foreach_abi to rm wineconsole now, so it should handle systems with merged libdirs, as per mgorny's request. Package-Manager: portage-2.3.0
Diffstat (limited to 'app-emulation/wine')
-rw-r--r--app-emulation/wine/wine-1.8-r3.ebuild6
-rw-r--r--app-emulation/wine/wine-1.8.1-r3.ebuild6
-rw-r--r--app-emulation/wine/wine-1.8.2-r2.ebuild6
-rw-r--r--app-emulation/wine/wine-1.8.3-r1.ebuild6
-rw-r--r--app-emulation/wine/wine-1.8.4.ebuild6
-rw-r--r--app-emulation/wine/wine-1.9.10-r3.ebuild6
-rw-r--r--app-emulation/wine/wine-1.9.11-r3.ebuild6
-rw-r--r--app-emulation/wine/wine-1.9.12-r2.ebuild6
-rw-r--r--app-emulation/wine/wine-1.9.13-r2.ebuild6
-rw-r--r--app-emulation/wine/wine-1.9.14-r2.ebuild6
-rw-r--r--app-emulation/wine/wine-1.9.15-r1.ebuild6
-rw-r--r--app-emulation/wine/wine-1.9.16.ebuild6
-rw-r--r--app-emulation/wine/wine-1.9.17.ebuild6
-rw-r--r--app-emulation/wine/wine-1.9.18.ebuild6
-rw-r--r--app-emulation/wine/wine-1.9.19-r1.ebuild6
-rw-r--r--app-emulation/wine/wine-1.9.20.ebuild6
-rw-r--r--app-emulation/wine/wine-1.9.4-r3.ebuild6
-rw-r--r--app-emulation/wine/wine-1.9.5-r3.ebuild6
-rw-r--r--app-emulation/wine/wine-1.9.6-r3.ebuild6
-rw-r--r--app-emulation/wine/wine-1.9.7-r3.ebuild6
-rw-r--r--app-emulation/wine/wine-1.9.8-r2.ebuild6
-rw-r--r--app-emulation/wine/wine-1.9.9-r3.ebuild6
-rw-r--r--app-emulation/wine/wine-9999.ebuild6
23 files changed, 92 insertions, 46 deletions
diff --git a/app-emulation/wine/wine-1.8-r3.ebuild b/app-emulation/wine/wine-1.8-r3.ebuild
index 02b5c87249c..696da26c13d 100644
--- a/app-emulation/wine/wine-1.8-r3.ebuild
+++ b/app-emulation/wine/wine-1.8-r3.ebuild
@@ -485,8 +485,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.8.1-r3.ebuild b/app-emulation/wine/wine-1.8.1-r3.ebuild
index 7c8a9ce3b60..e1eb2098deb 100644
--- a/app-emulation/wine/wine-1.8.1-r3.ebuild
+++ b/app-emulation/wine/wine-1.8.1-r3.ebuild
@@ -491,8 +491,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.8.2-r2.ebuild b/app-emulation/wine/wine-1.8.2-r2.ebuild
index a13d73614fc..522fd97225d 100644
--- a/app-emulation/wine/wine-1.8.2-r2.ebuild
+++ b/app-emulation/wine/wine-1.8.2-r2.ebuild
@@ -491,8 +491,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.8.3-r1.ebuild b/app-emulation/wine/wine-1.8.3-r1.ebuild
index eddb6f2807b..429315cb862 100644
--- a/app-emulation/wine/wine-1.8.3-r1.ebuild
+++ b/app-emulation/wine/wine-1.8.3-r1.ebuild
@@ -490,8 +490,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.8.4.ebuild b/app-emulation/wine/wine-1.8.4.ebuild
index 0a8889290ad..bc8d807a594 100644
--- a/app-emulation/wine/wine-1.8.4.ebuild
+++ b/app-emulation/wine/wine-1.8.4.ebuild
@@ -489,8 +489,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.9.10-r3.ebuild b/app-emulation/wine/wine-1.9.10-r3.ebuild
index 06559b17253..e268ad11cac 100644
--- a/app-emulation/wine/wine-1.9.10-r3.ebuild
+++ b/app-emulation/wine/wine-1.9.10-r3.ebuild
@@ -509,8 +509,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.9.11-r3.ebuild b/app-emulation/wine/wine-1.9.11-r3.ebuild
index 06559b17253..e268ad11cac 100644
--- a/app-emulation/wine/wine-1.9.11-r3.ebuild
+++ b/app-emulation/wine/wine-1.9.11-r3.ebuild
@@ -509,8 +509,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.9.12-r2.ebuild b/app-emulation/wine/wine-1.9.12-r2.ebuild
index 4d1c5ee9ada..f8713ef13c4 100644
--- a/app-emulation/wine/wine-1.9.12-r2.ebuild
+++ b/app-emulation/wine/wine-1.9.12-r2.ebuild
@@ -509,8 +509,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.9.13-r2.ebuild b/app-emulation/wine/wine-1.9.13-r2.ebuild
index 1f4a9c950de..6cee7052b61 100644
--- a/app-emulation/wine/wine-1.9.13-r2.ebuild
+++ b/app-emulation/wine/wine-1.9.13-r2.ebuild
@@ -508,8 +508,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.9.14-r2.ebuild b/app-emulation/wine/wine-1.9.14-r2.ebuild
index 1f4a9c950de..6cee7052b61 100644
--- a/app-emulation/wine/wine-1.9.14-r2.ebuild
+++ b/app-emulation/wine/wine-1.9.14-r2.ebuild
@@ -508,8 +508,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.9.15-r1.ebuild b/app-emulation/wine/wine-1.9.15-r1.ebuild
index 1f4a9c950de..6cee7052b61 100644
--- a/app-emulation/wine/wine-1.9.15-r1.ebuild
+++ b/app-emulation/wine/wine-1.9.15-r1.ebuild
@@ -508,8 +508,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.9.16.ebuild b/app-emulation/wine/wine-1.9.16.ebuild
index 1f4a9c950de..6cee7052b61 100644
--- a/app-emulation/wine/wine-1.9.16.ebuild
+++ b/app-emulation/wine/wine-1.9.16.ebuild
@@ -508,8 +508,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.9.17.ebuild b/app-emulation/wine/wine-1.9.17.ebuild
index 9e5e124a96a..5e3df5f6fae 100644
--- a/app-emulation/wine/wine-1.9.17.ebuild
+++ b/app-emulation/wine/wine-1.9.17.ebuild
@@ -508,8 +508,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.9.18.ebuild b/app-emulation/wine/wine-1.9.18.ebuild
index c90f2c9255e..54f72c07787 100644
--- a/app-emulation/wine/wine-1.9.18.ebuild
+++ b/app-emulation/wine/wine-1.9.18.ebuild
@@ -508,8 +508,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.9.19-r1.ebuild b/app-emulation/wine/wine-1.9.19-r1.ebuild
index 5c1f95b61ba..5eba6e1a5b4 100644
--- a/app-emulation/wine/wine-1.9.19-r1.ebuild
+++ b/app-emulation/wine/wine-1.9.19-r1.ebuild
@@ -510,8 +510,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.9.20.ebuild b/app-emulation/wine/wine-1.9.20.ebuild
index 5c1f95b61ba..5eba6e1a5b4 100644
--- a/app-emulation/wine/wine-1.9.20.ebuild
+++ b/app-emulation/wine/wine-1.9.20.ebuild
@@ -510,8 +510,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.9.4-r3.ebuild b/app-emulation/wine/wine-1.9.4-r3.ebuild
index 7b4221cb027..ad953d14a37 100644
--- a/app-emulation/wine/wine-1.9.4-r3.ebuild
+++ b/app-emulation/wine/wine-1.9.4-r3.ebuild
@@ -488,8 +488,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.9.5-r3.ebuild b/app-emulation/wine/wine-1.9.5-r3.ebuild
index 49b9dc78c43..b0535821edb 100644
--- a/app-emulation/wine/wine-1.9.5-r3.ebuild
+++ b/app-emulation/wine/wine-1.9.5-r3.ebuild
@@ -490,8 +490,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.9.6-r3.ebuild b/app-emulation/wine/wine-1.9.6-r3.ebuild
index 186ee04c667..fcfa5a0d7c2 100644
--- a/app-emulation/wine/wine-1.9.6-r3.ebuild
+++ b/app-emulation/wine/wine-1.9.6-r3.ebuild
@@ -487,8 +487,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.9.7-r3.ebuild b/app-emulation/wine/wine-1.9.7-r3.ebuild
index 186ee04c667..fcfa5a0d7c2 100644
--- a/app-emulation/wine/wine-1.9.7-r3.ebuild
+++ b/app-emulation/wine/wine-1.9.7-r3.ebuild
@@ -487,8 +487,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.9.8-r2.ebuild b/app-emulation/wine/wine-1.9.8-r2.ebuild
index 278a370387f..1c6bc3b2af9 100644
--- a/app-emulation/wine/wine-1.9.8-r2.ebuild
+++ b/app-emulation/wine/wine-1.9.8-r2.ebuild
@@ -487,8 +487,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-1.9.9-r3.ebuild b/app-emulation/wine/wine-1.9.9-r3.ebuild
index 919a4fa9326..16bdcb6e8a0 100644
--- a/app-emulation/wine/wine-1.9.9-r3.ebuild
+++ b/app-emulation/wine/wine-1.9.9-r3.ebuild
@@ -509,8 +509,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055
diff --git a/app-emulation/wine/wine-9999.ebuild b/app-emulation/wine/wine-9999.ebuild
index 5c1f95b61ba..5eba6e1a5b4 100644
--- a/app-emulation/wine/wine-9999.ebuild
+++ b/app-emulation/wine/wine-9999.ebuild
@@ -510,8 +510,10 @@ multilib_src_install_all() {
if ! use X && ! use ncurses; then
rm "${D}"/usr/bin/wineconsole* || die
rm "${D}"/usr/share/man/man1/wineconsole* || die
- use abi_x86_32 && rm "${D}"/usr/lib32/wine/{,fakedlls/}wineconsole.exe* || die
- use abi_x86_64 && rm "${D}"/usr/lib64/wine/{,fakedlls/}wineconsole.exe* || die
+ rm_wineconsole() {
+ rm "${D}usr/$(get_libdir)"/wine/{,fakedlls/}wineconsole.exe* || die
+ }
+ multilib_foreach_abi rm_wineconsole
fi
use abi_x86_32 && pax-mark psmr "${D}"usr/bin/wine{,-preloader} #255055